---

- name: Create .ssh/config file
  file:
    path: "{{ ansible_env.HOME }}/.ssh/config"
    state: touch
    owner: "{{ ansible_user }}"
    group:  "{{ ansible_user }}"
    mode: 0644

- name: Generate SSH key for user
  openssh_keypair:
    owner: "{{ ansible_user }}"
    path: "{{ ansible_env.HOME }}/.ssh/id_rsa"
    size: 2048
    state: present
